Loading...
Searching...
No Matches
python_streambuf.h File Reference
`#include <RDGeneral/export.h>`
`#include <RDGeneral/BoostStartInclude.h>`
`#include <boost/python/object.hpp>`
`#include <boost/python/str.hpp>`
`#include <boost/python/extract.hpp>`
`#include <boost/optional.hpp>`
`#include <boost/utility/typed_in_place_factory.hpp>`
`#include <RDGeneral/BoostEndInclude.h>`
`#include <RDGeneral/Invariant.h>`
`#include <RDGeneral/Exceptions.h>`
`#include <streambuf>`

Go to the source code of this file.

## Classes

class | boost_adaptbx::python::streambuf
| A stream buffer getting data from and putting data into a Python file object. More...
class | boost_adaptbx::python::streambuf::istream
class | boost_adaptbx::python::streambuf::ostream
struct | boost_adaptbx::python::streambuf_capsule
struct | boost_adaptbx::python::ostream

## Namespaces

namespace | boost_adaptbx
namespace | boost_adaptbx::python